/* FONT CONVERT */
.font {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
}

.fontUploads {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.fontUploadsItem {
    display: flex;
    flex-direction: row;
    align-items: center;
    opacity: .3;
    filter: grayscale(1);
    pointer-events: none;
    transition: .3s ease;
}

.fontUploadsItem.active {
    opacity: 1;
    filter: grayscale(0);
    pointer-events: all;
}

.fontUploadsItemLabel {
    display: flex;
}

.fontUploadsItemLabelInput {
    opacity: 0;
    position: absolute;
    height: 0;
    width: 0;
}

.fontUploadsItemLabelBody {
    padding: 8px 16px 8px 20px;
    display: flex;
    justify-content: center;
    gap: 16px;
    align-items: center;
    background-color: var(--secondary);
    color: var(--bone);
    border-radius: 4px;
    cursor: pointer;
    transition: .3s ease;
}

.fontUploadsItemLabelInput:disabled + .fontUploadsItemLabelBody {
    cursor: not-allowed;
}

.fontUploadsItemLabelBody:hover {
    border-radius: 10px;
    cursor: pointer;
}


.fontUploadsItemLabelBodyIcon {
    height: 32px;
    width: auto;
}

.fontUploadsItemLabelBodyIcon {

}

.fontUploadsItemData {
    display: flex;
    flex-direction: row;
    margin-left: 14px;
    gap: 14px;
    text-transform: uppercase;
    font-family: VCR OSD Mono, sans-serif;
    letter-spacing: 2px;
    opacity: 0;
    transition: .3s ease;
}

.fontUploadsItem.processing .fontUploadsItemData {
    opacity: 1;
}

.fontUploadsItemDataTitle {
    width: 200px;
    border: 2px solid var(--faded-bone);
    font-size: 16px;
    height: auto;
    padding: 12px 0;
    color: var(--faded-bone);
    border-radius: 4px;
}

.fontUploadsItemDataType {
    width: fit-content;
    border: 2px solid var(--faded-bone);
    font-size: 16px;
    height: auto;
    padding: 12px 8px;
    text-align: center;
    color: var(--faded-bone);
    border-radius: 4px;
}

.fontUploadsItemRemove {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 8px;
    background-color: #833333;
    opacity: 0 !important;
    transition: .3s ease;
    height: 44px;
    width: 44px;
    margin-left: 14px;
}

.fontUploadsItem.processing .fontUploadsItemRemove {
    opacity: 1 !important;
}

/**/
.fontUploadsItemLoading {
    display: none;
    transition: .3s ease;
    margin-left: 14px;
}

.fontUploadsItemLoading::after {
    content: ".";
    animation: dotCycle 1.2s steps(4) alternate infinite;
}

@keyframes dotCycle {
    0% {
        content: "";
    }
    12.5% {
        content: ".";
    }
    25% {
        content: "..";
    }
    37.5% {
        content: "...";
    }
    50% {
        content: "...";
    }
    62.5% {
        content: "..";
    }
    75% {
        content: ".";
    }
    87.5% {
        content: "";
    }
    100% {
        content: "";
    }
}

.fontUploads.uploading .fontUploadsItem.processing .fontUploadsItemLoading {
    display: block;
}

.fontControls {
    opacity: 0;
    pointer-events: none;
    transition: .3s ease;
}

.fontControls.active {
    opacity: 1;
    pointer-events: all;
}

.fontControlsUpload {
}
